Status: Closed   
Category:    

Customer: VW Product Issue

Numbers:

 

Department: CARMEQ Affected Products: ADTF 2.14.2, ADTF Device Toolbox
Requester's Priority: Normal Platform: Ubuntu 16.04 64bit, Windows 10 64bit

Support Level: 2nd Level Topic: DeviceTB::Ethernet

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage

Wir suchen ADTF2-Filter zum Senden und Empfangen von UDP-Paketen, aber für IPv6!

Ich nehme stark an, dass die bestehenden UDP-Filter der Device-Toolbox nur IPv4 können. Könnt ihr das bestätigen?

Die Sourcen der Ethernet-Filter liegen auch in der DeviceToolbox. Leider wird dabei aber eine (closed-source) Socket-Klasse aus

(Core-)ADTF genutzt.

Ich nehme stark an, dass diese Klasse nur IPv4 kann. Könnt ihr das bestätigen?

Wer könnte einen IPv6-Filter haben?

Lösung

Derzeit gibt es weder in ADTF 2.x noch in ADTF 3.x und deren Basiskomponenten einen Support für IPv6.

Es sind auch keine externen Komponenten bekannt, die hier unterstützen.

Mit SOME/IP wird zumindest kurzfristig das Tracing via PCAP IPv6 unterstützen, langfristig auch die Kommunikation/Senden.

Das betrifft den Support für BroadR-Reach, was aber noch nicht fest verplant ist (zeitlich) aber kommen wird.

History

#1 - 2019-03-06 12:42 - hidden

- Status changed from New to In Progress

- Topic set to DeviceTB::Ethernet

- Affected Products ADTF 2.14.2, ADTF Device Toolbox 2.7.0 added

- Affected Products deleted (ADTF 2.14.3, ADTF Device Toolbox 3.1.0)

#2 - 2019-03-06 12:46 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Marc,

dazu gibt es weder in ADTF 2.x noch in ADTF 3.x etwas seitens Basislieferung.

@Martin/Pierre: Sind euch derartige Komponenten irgendwo bekannt ?

AusblicK: IPv6 Support wird aber bald ein Thema in ADTF/Device TB 3.x wegen SOME/IP und BroadR-Reach

#3 - 2019-03-06 13:03 - hidden

Mir ist nix bekannt, leider scheint as auch in der a_util 5.x keine Sockets mehr zu geben (also auch keine IPv6 fähigen).

#4 - 2019-03-06 13:53 - hidden

OK. Danke. Ticket kann dann geschlossen werden.
Wir brauchen das auch für die in Entwicklung befindliche Anbindung von Steuergeräten mit BroadR-Reach. Das ist aber noch nicht SomeIP. Sondern

eben anscheinend "nur" normale IPv6/UDP-Pakete.

Wir werden dann wohl was eigenes implementieren müssen.

#5 - 2019-03-07 09:26 - hidden

- Project changed from 20 to Public Support

- Subject changed from ADTF2 Filter for IPv6 to Support for IPv6 in ADTF 2.x

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#6 - 2019-03-08 13:23 - hidden

- Status changed from To Be Closed to Closed
